#include "ipc_debug.h"
#include <cstdio>
#include <cstring>



int main(int argc, char **argv) {
    DEBUG_IPC_CHECKPOINT();

    if (argc != 2) {
        fprintf(stderr, "Usage: %s <string>\n", argv[0]);
        return -1;
    }

    debug_ipc_init();
    char *v = argv[1];
    size_t len = strlen(v);

    debug_ipc_assert_equal_array(v, len);

    return 0;
}
